# MatPartitioningType

String with the name of a PETSc matrix partitioning or the creation function with an optional dynamic library name, for example http://www.mcs.anl.gov/petsc/lib.a:partitioningcreate()

### Synopsis

    #define MatPartitioningType const char*
    #define MAT_PARTITIONING_CURRENT  "current"
    #define MAT_PARTITIONING_SQUARE   "square"
    #define MAT_PARTITIONING_PARMETIS "parmetis"
    #define MAT_PARTITIONING_CHACO    "chaco"
    #define MAT_PARTITIONING_JOSTLE   "jostle"
    #define MAT_PARTITIONING_PARTY    "party"
    #define MAT_PARTITIONING_SCOTCH   "scotch"

    EXTERN PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningCreate(MPI_Comm,MatPartitioning*);

### See Also

MatPartitioningCreate(), MatPartitioning

Level:beginner
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages